#!/bin/bash

ldif_file=$1

# check if serial scrip already exists
if [ -x "/usr/sbin/serial" ]; then
	serial="$(/usr/sbin/serial)"
else
	serial="$(cat /sys/class/net/eth0/address | tr -d ":")"
fi
# if still no serial make it as random
[ -z "$serial" ] && serial="$(date +%s | md5sum | cut -c 1-12)"

sed -i "s/{SERIAL}/$serial/g" $ldif_file

# Automatically added by dh_installinit
if [ -x "/etc/init.d/slapd" ]; then
	update-rc.d slapd defaults 19 80 >/dev/null
	invoke-rc.d slapd stop || true
fi
# End automatically added section

rm -f /rw2/var/lib/ldap/*
runuser -s /bin/bash -l openldap -c "/usr/sbin/slapadd -l $ldif_file"
